part of 'counter_bloc.dart';

abstract class CounterState extends Equatable {
  const CounterState();
  @override
  List<Object?> get props => [];
}

class CounterInitialState extends CounterState {
  const CounterInitialState();
  @override
  List<Object?> get props => [];
}

class CounterHomePageState extends CounterState {
  const CounterHomePageState();
  @override
  List<Object?> get props => [];
}
class CounterButAboutPageState extends CounterState {
  const CounterButAboutPageState();
  @override
  List<Object?> get props => [];
}
class CounterCameraPageState extends CounterState {
  const CounterCameraPageState();
  @override
  List<Object?> get props => [];
}
class CounterButAnswerPageState extends CounterState {
  const CounterButAnswerPageState();
  @override
  List<Object?> get props => [];
}
class CounterAccountPageState extends CounterState {
  const CounterAccountPageState();
  @override
  List<Object?> get props => [];
}


class CounterFailedState extends CounterState {
  final String? message;
  const CounterFailedState(this.message);
}




